> ## Documentation Index
> Fetch the complete documentation index at: https://developer.fabric.inc/llms.txt
> Use this file to discover all available pages before exploring further.

# Update invoice for financial posting

> Updates invoice for financial posting for invoice IDs



## OpenAPI

````yaml oms_v2_combined post /invoice/post
openapi: 3.0.1
info:
  title: Orders v2 (OMS v2)
  description: >-
    fabric's OMS v2 APIs are high performance endpoints are built on highly
    scalable architecture, and include a configurable data model to orchestrate
    the order fulfillment process. These APIs let merchants create order
    records, initiate post-order process workflows and manage order related data
    such as, invoicing, tracking, returns, exchange, cancellation, appeasements,
    backorders, shipment and other use cases.
  termsOfService: https://fabric.inc/terms-of-use
  contact:
    email: support@fabric.inc
  license:
    name: fabric API license
    url: https://fabric.inc/api-license
  version: 2.0.0
servers:
  - url: https://prod01.oms.fabric.inc/api/v2
    description: Production
security:
  - bearerAuth: []
tags:
  - name: Allocation
    description: Endpoints to perform allocation operations
  - name: Appeasement
    description: >-
      Appeasement refers to a goodwill credit applied to a fulfilled order when
      customer faces difficulties for an order, for example late delivery,
      received damaged product, and like wise.  This endpoint help in creating
      appeasement for customer orders.
  - name: Package Tracking
    description: Package Tracking endpoint helps in performing package tracking operations
  - name: Payment Status
    description: This endpoint helps in retrieving payment status for an order
  - name: Order Cancellation
    description: These endpoints help in performing order cancellation operations
  - name: Order
    description: >-
      An order is a customer's request to purchase one or more products from a
      shop or from a website. Order endponts let merchants get order details,
      create, update, and delete orders.
  - name: Order Attribute
    description: These endpoints help in performing attribute operations for an order
  - name: Order Return
    description: These endpoints help in performing order Return operations
  - name: Cross Border
    description: >-
      Cross Border service provides capabilities related to orders that have
      international shipping. These endpoints help in performing cross border
      operations.
  - name: BackOrder PreOrder Reservation
    description: >-
      These Endpoints help in performing BackOrder PreOrder Reservation
      operations
  - name: Configuration
    description: >-
      These endpoints help in performing CRUD operations on tenant
      configurations
  - name: Target Configuration
    description: >-
      These endpoints help in performing CRUD operations on Target
      configurations
  - name: Fraud Configuration
    description: These endpoints help in performing CRUD operations on Fraud configurations
  - name: Fraud
    description: These endpoints help in managing fraud release and cancel operation
  - name: Export
    description: These endpoints help in performing export operations
  - name: Inventory Network
    description: >-
      Network refers to a group of locations having a group of SKUs in each
      location. Network endpoints let you read, create, and manage an
      inventory-network by location, brand, or any other custom attributes.
  - name: Inventory
    description: >-
      These endpoints let you read, create and bulk update inventory across all
      locations.
  - name: Inventory Upload Log
    description: These endpoints let you view the record of the inventory uploads.
  - name: Inventory Bulk Operation
    description: >-
      Bulk Operation endpoints let you upload and download inventory details, in
      bulk, using a  CSV file to and from AWS (Amazon Web Service) server
      presigned S3 URL that is generated from the Order service.
  - name: Inventory Attribute
    description: >-
      Attribute refers to a set of characteristics that define inventory.
      Attribute endpoints let you create, read, update, and delete inventory
      attributes at any hierarchy level (location, SKU, item, channel) or at
      counter level.
  - name: Inventory Counter
    description: >-
      Counter refers to inventory positions such as, available, in-transit,
      on-hand, or other custom positions. These endpoints let you read, update,
      and create custom counters that suit your business use case.
  - name: Invoice
    description: These endpoints help in generating the invoices
  - name: List
    description: To create and manage lists
  - name: Location
    description: Location endpoints let you create, read, update, and delete location.
  - name: Location Attribute
    description: >-
      Location attribute endpoints let you create, read, update, and delete
      location attributes. These location attributes are used while creating or
      updating locations. When the attribute is configured  as required, it is
      mandatory to add the attribute while creating location.
  - name: Shipment
    description: To provides real time update of shipments
  - name: Shipping Method
    description: Endpoints to perform operations related to shipping methods
  - name: Webhook
    description: >-
      These endpoints help in performing CRUD operations on webhook
      subscriptions
paths:
  /invoice/post:
    post:
      tags:
        - Invoice
      summary: Update invoice for financial posting
      description: Updates invoice for financial posting for invoice IDs
      operationId: updateInvoiceForFinancialPosting
      parameters:
        - $ref: '#/components/parameters/xSiteContent'
      requestBody:
        content:
          application/json:
            schema:
              required:
                - invoiceIds
              type: object
              properties:
                invoiceIds:
                  type: array
                  description: List of invoiceIds
                  example:
                    - invoiceId1
                    - invoiceId2
                  items:
                    type: string
              description: Request model for financial posting
        required: true
      responses:
        '201':
          description: Invoice updated
          content:
            application/json:
              schema:
                type: array
                items:
                  required:
                    - channelId
                    - currency
                    - invoiceId
                    - invoiceTotal
                    - shipmentId
                    - statusCode
                    - totalTaxAmount
                  type: object
                  properties:
                    invoiceId:
                      type: string
                      description: Unique Id of the invoice
                      example: 62ff5c0bec0aed3c86202c32
                    invoiceNumber:
                      type: string
                      description: Unique number of the invoice
                      example: '23940791'
                    invoiceStatus:
                      type: string
                      description: InvoiceStatus Model
                      example: CAPTURED/SETTLED
                      enum:
                        - CAPTURED
                        - SETTLED
                        - SETTLE_FAILED
                        - PARTIAL_SETTLED
                        - DRAFT
                        - ISSUED
                        - CREDITED
                        - DELETED
                    invoiceType:
                      type: string
                      description: InvoiceType Model
                      example: SHIPPING/APPEASEMENT
                      enum:
                        - RETURN
                        - SHIPPING
                        - APPEASEMENT
                    invoiceDate:
                      type: string
                      description: Date when order invoiced
                      format: date-time
                      example: '2022-08-01T20:03:28.483971941Z'
                    shipmentId:
                      type: string
                      description: Shipment Id in case of invoice type as Shipment
                      example: 62ff5c0bec0aed3c86202c32
                    shipmentNumber:
                      type: string
                      description: Shipment Number in case of invoice type as Shipment
                      example: '217088603'
                    shippedOn:
                      type: string
                      description: 'Date when order shipped '
                      format: date-time
                      example: '2022-08-01T20:03:28.483971941Z'
                    orders:
                      type: array
                      description: 'order details for the invoice '
                      items:
                        required:
                          - invoiceOrderTotal
                          - orderId
                        type: object
                        properties:
                          orderId:
                            type: string
                            description: Order Id for which invoice needs to be created
                            example: 62ff5c0bec0aed3c86202c32
                          orderNumber:
                            type: string
                            description: Order Number for which invoice needs to be created
                            example: '217088603'
                          orderDate:
                            type: string
                            description: Actual order creation date
                            format: date-time
                            example: '2022-05-12T09:30:31.198Z'
                          orderType:
                            type: string
                            example: WEB
                            enum:
                              - WEB
                              - CSC
                              - MOBILE_APP
                              - POS
                          orderSubType:
                            type: string
                            example: International
                            enum:
                              - IOS
                              - Android
                              - International
                          invoiceOrderTotal:
                            type: number
                            description: Total amount invoiced as per order
                            example: 245.7
                          items:
                            type: array
                            description: Item list for the invoicing
                            items:
                              type: object
                              properties:
                                lineItemId:
                                  type: string
                                  example: 1adfrghhh2346aaaf
                                lineItemNumber:
                                  type: integer
                                  format: int32
                                  example: 1
                                shipmentLineItemId:
                                  type: string
                                itemId:
                                  type: string
                                  example: '1234'
                                orderId:
                                  type: string
                                type:
                                  type: string
                                  example: WEB_PICKUP
                                sku:
                                  type: string
                                  example: P1234
                                invoiceQuantity:
                                  type: integer
                                  format: int32
                                  example: 10
                                itemUnitPrice:
                                  type: number
                                invoiceLineTotal:
                                  type: number
                                  example: 600
                                itemDiscountsTotal:
                                  type: number
                                itemTaxTotal:
                                  type: number
                                itemFeeTotal:
                                  type: number
                                itemAppeasementTotal:
                                  type: number
                                lineItemCreatedAt:
                                  type: string
                                  format: date-time
                                locationStoreId:
                                  type: string
                                returnExpiryDays:
                                  type: string
                                currency:
                                  type: string
                                fees:
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      type:
                                        type: string
                                        example: tax
                                      value:
                                        type: number
                                        example: 34.56
                                    description: InvoiceFee Model
                                taxDetail:
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      type:
                                        type: string
                                        example: tax
                                      value:
                                        type: number
                                        example: 34.56
                                    description: InvoiceFee Model
                                appeasements:
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      appeasementCounter:
                                        type: integer
                                        format: int32
                                        example: 1
                                      reasonCode:
                                        type: string
                                        example: Incorrect Item
                                      subReasonCode:
                                        type: string
                                        example: Late shipping
                                      value:
                                        type: number
                                        example: 34.56
                                      invoiceValue:
                                        type: number
                                        example: 34.56
                                      payments:
                                        type: array
                                        items:
                                          type: object
                                          properties:
                                            paymentCounter:
                                              type: integer
                                              format: int32
                                              example: 1
                                            refundAmount:
                                              type: number
                                              example: 40
                                          description: OrderAppeasementPaymentInfo Model
                                    description: OrderAppeasementDetail Model
                                discount:
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      quantity:
                                        type: integer
                                        format: int32
                                        example: 2
                                      value:
                                        type: number
                                        example: 2
                                      promoId:
                                        type: string
                                        example: HNY2022
                                      promoCode:
                                        type: string
                                        example: HNY2022
                                      promoTitle:
                                        type: string
                                        example: Happy New Year
                                      type:
                                        type: string
                                        example: promotion
                                    description: Invoice discount model
                                shipToId:
                                  type: string
                                  example: 5349b4ddd2781d08c09890f4
                                returns:
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      shipmentLineItemId:
                                        type: string
                                      shipmentQuantity:
                                        type: integer
                                        format: int32
                                      refundAmount:
                                        type: number
                                      reasonCode:
                                        type: string
                                      invoiceDate:
                                        type: string
                                        format: date-time
                                    description: InvoiceReturn Model
                                attributes:
                                  type: object
                                  additionalProperties:
                                    type: object
                                uom:
                                  type: string
                              description: InvoiceItem Model
                          payments:
                            type: array
                            description: Payment list for the invoicing
                            items:
                              type: object
                              properties:
                                paymentCounter:
                                  type: integer
                                  format: int32
                                paymentDate:
                                  type: string
                                  example: '2022-01-27T16:15:58.000-05:00'
                                billToId:
                                  type: string
                                  example: 62272e917b12209e68751d94
                                paymentIdentifier:
                                  type: object
                                  properties:
                                    cardIdentifier:
                                      type: string
                                      example: '***********3456'
                                  description: Invoice payment identifier Model
                                paymentProvider:
                                  type: string
                                  example: stripe
                                paymentToken:
                                  type: object
                                  properties:
                                    token:
                                      type: string
                                      example: pi_34tr6787rt
                                  description: Invoice payment token Model
                                paymentMethod:
                                  type: string
                                  example: CREDIT_CARD
                                paymentType:
                                  type: string
                                  example: VISA
                                currency:
                                  type: string
                                  example: USD
                                conversion:
                                  type: number
                                  example: 1
                                paymentStatus:
                                  type: string
                                  example: OK
                                attributes:
                                  type: object
                                  additionalProperties:
                                    type: object
                                billToAddress:
                                  type: object
                                  properties:
                                    addressLine1:
                                      type: string
                                    addressLine2:
                                      type: string
                                    addressLine3:
                                      type: string
                                    addressLine4:
                                      type: string
                                    city:
                                      type: string
                                    state:
                                      type: string
                                    country:
                                      type: string
                                    postalCode:
                                      type: string
                                    type:
                                      type: string
                                    contact:
                                      type: array
                                      items:
                                        type: object
                                        properties:
                                          type:
                                            type: string
                                          email:
                                            type: string
                                          phone:
                                            type: array
                                            items:
                                              type: object
                                              properties:
                                                number:
                                                  type: string
                                                type:
                                                  type: string
                                              description: Invoice contact phone Model
                                          name:
                                            type: object
                                            properties:
                                              first:
                                                type: string
                                              middle:
                                                type: string
                                              last:
                                                type: string
                                            description: Invoice contact name Model
                                        description: Invoice contact Model
                                  description: Invoice address Model
                                settlement:
                                  type: object
                                  properties:
                                    settlementDate:
                                      type: string
                                      format: date-time
                                      example: '2022-01-27T16:15:58-05:00'
                                    settlementStatusCode:
                                      type: string
                                      description: InvoiceSettlementStatusCode Model
                                      enum:
                                        - SETTLED
                                        - PARTIAL_SETTLED
                                        - SETTLEMENT_FAILED
                                    settlementAmount:
                                      type: number
                                    attributes:
                                      type: object
                                      additionalProperties:
                                        type: object
                                  description: Invoice settlement Model
                                authAmount:
                                  type: number
                              description: InvoicePayment Model
                          fees:
                            type: array
                            description: Invoice fee details
                            items:
                              type: object
                              properties:
                                type:
                                  type: string
                                  example: tax
                                value:
                                  type: number
                                  example: 34.56
                              description: InvoiceFee Model
                          appeasements:
                            type: array
                            description: Invoice appeasement details
                            items:
                              type: object
                              properties:
                                appeasementCounter:
                                  type: integer
                                  format: int32
                                  example: 1
                                reasonCode:
                                  type: string
                                  example: Incorrect Item
                                subReasonCode:
                                  type: string
                                  example: Late shipping
                                value:
                                  type: number
                                  example: 34.56
                                invoiceValue:
                                  type: number
                                  example: 34.56
                                payments:
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      paymentCounter:
                                        type: integer
                                        format: int32
                                        example: 1
                                      refundAmount:
                                        type: number
                                        example: 40
                                    description: OrderAppeasementPaymentInfo Model
                              description: OrderAppeasementDetail Model
                          discounts:
                            type: array
                            description: Discount list for the invoicing
                            items:
                              type: object
                              properties:
                                quantity:
                                  type: integer
                                  format: int32
                                  example: 2
                                value:
                                  type: number
                                  example: 2
                                promoId:
                                  type: string
                                  example: HNY2022
                                promoCode:
                                  type: string
                                  example: HNY2022
                                promoTitle:
                                  type: string
                                  example: Happy New Year
                                type:
                                  type: string
                                  example: promotion
                              description: Invoice discount model
                          taxDetail:
                            type: array
                            description: Customer details for the invoicing
                            items:
                              type: object
                              properties:
                                type:
                                  type: string
                                  example: tax
                                value:
                                  type: number
                                  example: 34.56
                              description: InvoiceFee Model
                          attributes:
                            type: object
                            additionalProperties:
                              type: object
                              description: Dynamic parameters specific to tenant
                            description: Dynamic parameters specific to tenant
                        description: InvoiceOrder Model
                    locationNum:
                      type: number
                      description: locationNum in case of invoice type as Shipment
                      example: 3235
                    location:
                      type: object
                      properties:
                        locationNum:
                          type: number
                          description: locationNum in case of invoice type as Shipment
                          example: 3235
                        address:
                          type: object
                          properties:
                            addressLine1:
                              type: string
                            addressLine2:
                              type: string
                            addressLine3:
                              type: string
                            addressLine4:
                              type: string
                            city:
                              type: string
                            state:
                              type: string
                            country:
                              type: string
                            postalCode:
                              type: string
                            type:
                              type: string
                            contact:
                              type: array
                              items:
                                type: object
                                properties:
                                  type:
                                    type: string
                                  email:
                                    type: string
                                  phone:
                                    type: array
                                    items:
                                      type: object
                                      properties:
                                        number:
                                          type: string
                                        type:
                                          type: string
                                      description: Invoice contact phone Model
                                  name:
                                    type: object
                                    properties:
                                      first:
                                        type: string
                                      middle:
                                        type: string
                                      last:
                                        type: string
                                    description: Invoice contact name Model
                                description: Invoice contact Model
                          description: Invoice address Model
                      description: Invoice Location
                      example: object
                    retail:
                      type: object
                      properties:
                        locationNum:
                          type: integer
                          format: int32
                        cashierId:
                          type: string
                      description: InvoiceRetail Model
                    createdAt:
                      type: string
                      description: Date when invoice created
                      format: date-time
                      example: '2022-08-01T20:03:28.483971941Z'
                    updatedAt:
                      type: string
                      description: Date when invoice updated
                      format: date-time
                      example: '2022-08-01T20:03:28.483971941Z'
                    postedAt:
                      type: string
                      description: Date when invoice posted for financial process
                      format: date-time
                      example: '2022-08-01T20:03:28.483971941Z'
                    acknowledgedAt:
                      type: string
                      description: Date when invoice acknowledged
                      format: date-time
                      example: '2022-08-01T20:03:28.483971941Z'
                    statusCode:
                      type: string
                      description: Current status of the invoice
                      example: CREATED/POSTED/ACKNOWLEDGED
                    channelId:
                      type: string
                      description: Required field channel Id
                      example: strate
                    invoiceTotal:
                      type: number
                      description: Total amount invoiced
                      example: 245.7
                    totalTaxAmount:
                      type: number
                      description: Total tax amount invoiced
                      example: 245.7
                    currency:
                      type: string
                      description: Currency type in which amount invoiced
                      example: dollar
                    customer:
                      type: object
                      properties:
                        name:
                          type: object
                          properties:
                            first:
                              type: string
                              example: John
                            middle:
                              type: string
                              example: Middle
                            last:
                              type: string
                              example: Doe
                          description: OrderContactName Model
                        email:
                          type: string
                          example: test@fabric.inc
                        phone:
                          type: object
                          properties:
                            number:
                              type: string
                              example: '55555555555'
                            type:
                              type: string
                              example: MOBILE
                              enum:
                                - MOBILE
                                - HOME
                                - BUSINESS
                          description: OrderContactPhone Model
                        userId:
                          type: string
                          example: 62272e917b12209e68751d94
                        accountId:
                          type: string
                          description: Account Id such as Loyalty accountId
                          example: 62272e917b12209e68751d94
                        employeeId:
                          type: string
                          description: >-
                            Employee Id used when the customer is the employee
                            himself
                          example: 62272e917b12209e68751d94
                        company:
                          type: string
                          example: Fabric
                        address:
                          type: object
                          properties:
                            addressLine1:
                              type: string
                            addressLine2:
                              type: string
                            addressLine3:
                              type: string
                            addressLine4:
                              type: string
                            city:
                              type: string
                            state:
                              type: string
                            country:
                              type: string
                            postalCode:
                              type: string
                            type:
                              type: string
                            contact:
                              type: array
                              items:
                                type: object
                                properties:
                                  type:
                                    type: string
                                  email:
                                    type: string
                                  phone:
                                    type: array
                                    items:
                                      type: object
                                      properties:
                                        number:
                                          type: string
                                        type:
                                          type: string
                                      description: Invoice contact phone Model
                                  name:
                                    type: object
                                    properties:
                                      first:
                                        type: string
                                      middle:
                                        type: string
                                      last:
                                        type: string
                                    description: Invoice contact name Model
                                description: Invoice contact Model
                          description: Invoice address Model
                      description: InvoiceCustomer Model
                    auditLogs:
                      type: array
                      description: Audit log list
                      items:
                        type: object
                        properties:
                          lineItemId:
                            type: string
                            example: b03b72dc-78d8-4ea4-90fc-2fe6a1fe6569
                          auditId:
                            type: string
                            example: 62272e917b12209e68751d94
                          auditType:
                            type: string
                          employeeId:
                            type: string
                            example: 62272e917b12209e68751d94
                          auditTimestamp:
                            type: string
                            format: date-time
                            example: '2022-05-12T09:24:54.804Z'
                          source:
                            type: string
                            example: POS
                          reasonCode:
                            type: string
                            example: POS
                          subReasonCode:
                            type: string
                            example: POS
                          policyCode:
                            type: string
                            example: POS
                          note:
                            type: string
                            example: Note
                          lineItemNumber:
                            type: integer
                            format: int32
                            example: 1
                          sku:
                            type: string
                            example: F5F
                          quantity:
                            type: integer
                            format: int32
                            example: 1
                          amount:
                            type: number
                            example: 2.4
                          paymentToken:
                            type: object
                            properties:
                              token:
                                type: string
                                example: pi_34tr6787rt
                              paymentType:
                                type: string
                                description: >-
                                  Used to identify payment type in case of
                                  credit cards
                                example: VISA
                            description: OrderPaymentToken Model
                          success:
                            type: boolean
                            example: true
                          paymentResponse:
                            type: object
                          updatedFields:
                            type: array
                            items:
                              type: object
                              properties:
                                fieldName:
                                  type: string
                                  example: UOM
                                fieldOriginalValue:
                                  type: string
                                  example: PK
                              description: OrderAuditLogUpdatedField Model
                          attributes:
                            type: object
                            additionalProperties:
                              type: object
                        description: OrderAuditLog Model
                    shipInfo:
                      required:
                        - shipToId
                      type: object
                      properties:
                        shipToId:
                          type: string
                          example: 5349b4ddd2781d08c09890f4
                        taxCode:
                          type: string
                          example: FR01
                        locationNum:
                          type: string
                          description: >-
                            Location Num to be used for BOPIS to identify the
                            pickup store
                          example: '123'
                        pickup:
                          type: array
                          items:
                            type: object
                            properties:
                              name:
                                type: object
                                properties:
                                  first:
                                    type: string
                                    example: John
                                  middle:
                                    type: string
                                    example: Middle
                                  last:
                                    type: string
                                    example: Doe
                                description: OrderContactName Model
                              email:
                                type: string
                                example: test@fabric.inc
                              phone:
                                type: object
                                properties:
                                  number:
                                    type: string
                                    example: '55555555555'
                                  type:
                                    type: string
                                    example: MOBILE
                                    enum:
                                      - MOBILE
                                      - HOME
                                      - BUSINESS
                                description: OrderContactPhone Model
                              pickupType:
                                type: string
                                example: Primary
                                enum:
                                  - Primary
                                  - Alternate
                            description: OrderPickup Model
                        shipToAddress:
                          required:
                            - address1
                          type: object
                          properties:
                            name:
                              type: object
                              properties:
                                first:
                                  type: string
                                  example: John
                                middle:
                                  type: string
                                  example: Middle
                                last:
                                  type: string
                                  example: Doe
                              description: OrderContactName Model
                            email:
                              type: string
                              example: test@fabric.inc
                            phone:
                              type: object
                              properties:
                                number:
                                  type: string
                                  example: '55555555555'
                                type:
                                  type: string
                                  example: MOBILE
                                  enum:
                                    - MOBILE
                                    - HOME
                                    - BUSINESS
                              description: OrderContactPhone Model
                            address1:
                              type: string
                              example: Test Street
                            address2:
                              type: string
                              example: 123 Parking Lot
                            address3:
                              type: string
                            address4:
                              type: string
                            city:
                              type: string
                              example: Beaumont
                            state:
                              type: string
                              example: TX
                            country:
                              type: string
                              example: USA
                            postalCode:
                              type: string
                              example: '77705'
                            type:
                              type: string
                              example: residence
                            latitude:
                              type: number
                              example: 35.294952
                            longitude:
                              type: number
                              example: 32.294952
                          description: OrderAddress Model
                        taxDetail:
                          type: array
                          items:
                            type: object
                            properties:
                              type:
                                type: string
                                example: tax
                              value:
                                type: number
                                example: 34.56
                            description: OrderDetail Model
                        shipMethod:
                          type: string
                          example: Express Delivery
                        shipToType:
                          type: string
                          example: SHIP_TO_ADDRESS
                        estimatedShipDate:
                          type: string
                          format: date-time
                          example: '2022-05-12T09:30:31.198Z'
                        estimatedDeliveryDate:
                          type: string
                          format: date-time
                          example: '2022-05-12T09:30:31.198Z'
                        shipToPrice:
                          type: number
                          example: 20
                        shipToDiscount:
                          type: number
                          example: 12.6
                        shipToTaxTotal:
                          type: number
                          example: 12.6
                        shipmentInstructions:
                          type: string
                          example: User Instructions
                        attributes:
                          type: object
                          additionalProperties:
                            type: object
                      description: OrderShipInfo Model
                    attributes:
                      type: object
                      additionalProperties:
                        type: object
                  description: Invoice Model
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                description: ErrorResponse Model
              example:
                message: Bad Request
        '404':
          description: Invoice not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                description: ErrorResponse Model
              example:
                message: Invoice not found
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                description: ErrorResponse Model
              example:
                message: Internal Server Error
components:
  parameters:
    xSiteContent:
      name: x-site-context
      in: header
      description: >-
        The `x-site-context` header is a JSON object that contains information
        about the source you wish to pull from. The mandatory `account` is the
        24 character identifier found in Copilot. The `channel` (Sales channel
        ID), `stage` (environment name), and `date` attributes can be used to
        further narrow the scope of your data source.
      required: true
      schema:
        type: string
        example: >-
          {"date": "2023-01-01T00:00:00.000Z", "channel": 12, "account":
          "1234abcd5678efgh9ijklmno","stage":"production"}
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````